aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorkaotisk <kaotisk@arching-kaos.org>2024-06-30 07:01:15 +0300
committerkaotisk <kaotisk@arching-kaos.org>2024-06-30 07:01:15 +0300
commit30a2bc6cc950bcd460e5a3651ab869a732a0f50b (patch)
treeff9abace41c2d356301f0fcd72211ee974c7efb9 /bin
parent35ddac1871fbbc608417e1b1ec2012bf09687edd (diff)
downloadarching-kaos-tools-30a2bc6cc950bcd460e5a3651ab869a732a0f50b.tar.gz
arching-kaos-tools-30a2bc6cc950bcd460e5a3651ab869a732a0f50b.tar.bz2
arching-kaos-tools-30a2bc6cc950bcd460e5a3651ab869a732a0f50b.zip
Refactoring
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ak-profile2
-rwxr-xr-xbin/ak-sm-filejoiner8
-rwxr-xr-xbin/ak-sm-filesplitter6
3 files changed, 8 insertions, 8 deletions
diff --git a/bin/ak-profile b/bin/ak-profile
index c686f28..f4051eb 100755
--- a/bin/ak-profile
+++ b/bin/ak-profile
@@ -200,7 +200,7 @@ EOF
fi
_ak_zblock_pack "profile/add" $(pwd)/data
- if [ "$?" -ne 0 ]
+ if [ $? -ne 0 ]
then
echo "error??"
exit 1
diff --git a/bin/ak-sm-filejoiner b/bin/ak-sm-filejoiner
index 9264a9a..f4165f9 100755
--- a/bin/ak-sm-filejoiner
+++ b/bin/ak-sm-filejoiner
@@ -21,7 +21,7 @@ TMPWD="/tmp/rjs"
if [ ! -d "$TMPWD" ]
then
mkdir -p "$TMPWD"
- if [ "$?" != 0 ]
+ if [ $? -ne 0 ]
then
echo "Can't create $TMPWD dir"
exit 1
@@ -33,7 +33,7 @@ MAPSDIR="$AK_WORKDIR/fmp"
CHKDIR="$AK_WORKDIR/ftr"
cd $CHKDIR
-if [ "$?" != 0 ]
+if [ $? -ne 0 ]
then
echo "Can't get dir"
exit 1
@@ -51,7 +51,7 @@ then
bash script
- if [ "$?" != 0 ]
+ if [ $? -ne 0 ]
then
echo "Error executing copy script"
exit 1
@@ -73,7 +73,7 @@ then
# We check if everything is okay
sha512sum -c $MAPSDIR/$MAPSFILE
- if [ "$?" != "0" ]; then
+ if [ $? -ne 0 ]; then
_ak_log_error "Error while checking sums"
exit 1
fi
diff --git a/bin/ak-sm-filesplitter b/bin/ak-sm-filesplitter
index 7365b19..4cbb4e4 100755
--- a/bin/ak-sm-filesplitter
+++ b/bin/ak-sm-filesplitter
@@ -49,7 +49,7 @@ source $AK_LIBDIR/_ak_log
if [ ! -d "$TECHDIR" ]
then
mkdir -p "$TECHDIR"
- if [ "$?" == 0 ]
+ if [ $? -eq 0 ]
then
_ak_log_info "Folder $TECHDIR created!"
else
@@ -65,7 +65,7 @@ fi
if [ ! -d "$FILEMAPSDIR" ]
then
mkdir -p "$FILEMAPSDIR"
- if [ "$?" == 0 ]
+ if [ $? -eq 0 ]
then
_ak_log_info "Folder $FILEMAPSDIR created!"
else
@@ -81,7 +81,7 @@ fi
if [ ! -d "$CHKDIR" ]
then
mkdir -p "$CHKDIR"
- if [ "$?" == 0 ]
+ if [ $? -eq 0 ]
then
_ak_log_info "Folder $CHKDIR created!"
else